function D2=testbfs(A)
% use the breadth first search algorithm to compute the distance matrix 'D2' for
% adjacency matrix 'A', with the distance of reachable nodes >=0,
% otherwise, is -1;
% Note: need the toolbox: MatlabBGL

A=sparse(A);
[m n]=size(A);
for i=1:m
    d=bfs(A,i);
    D2(i,:)=d;
    D2(i,i)=A(i,i);
end
